# Active Context

## Current Task
Converting the Perplexity Server MCP to be directly runnable without installation. Removing NPM package configuration and simplifying usage.

## Recent Changes
- Analyzed the codebase
- Updated package.json:
  - Removed NPM package configuration (bin, files, prepare)
  - Simplified name to perplexity-server
  - Added start script for direct node execution
  - Kept ES module configuration with "type": "module"
- Maintained core functionality:
  - All Perplexity API tools
  - SQLite chat history storage
  - Deep research capabilities
  - MCP protocol implementation

## Next Steps
1. Update documentation:
   - Update README with direct usage instructions
   - Remove NPX/NPM related documentation
   - Add environment setup instructions
   
2. Test direct execution:
   - Build the TypeScript code
   - Test running with Node.js directly
   - Verify all tools work correctly

## Implementation Details
- Server runs directly with Node.js using npm start
- Dependencies are managed locally
- SQLite database still stores chat history in user's home directory
- All MCP tools remain fully functional
